%define upstream_name    Crypt-UnixCrypt_XS
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl-xs implementation of crypt(3)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl-devel


%description
This module implements the DES-based Unix _crypt_ function. For those who
need to construct non-standard variants of _crypt_, the various building
blocks used in _crypt_ are also supplied separately.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1024690
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 957014
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-5.mga6
+ Revision: 843957
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 743827
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-3.mga5
+ Revision: 684073
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-2.mga5
+ Revision: 630987
- Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 587452
- update to 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-7.mga4
+ Revision: 524757
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.90.0-6.mga4
+ Revision: 431419
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-5.mga3
+ Revision: 364976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.90.0-4.mga3
+ Revision: 250437
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.90.0-3.mga2
+ Revision: 103894
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-2.mga1
+ Revision: 32731
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 30028
- mageia rebuild
- imported package perl-Crypt-UnixCrypt_XS

